CacheConfig.AsyncEventQueue (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: CacheConfig, class: AsyncEventQueue

Package org.apache.geode.cache.configuration

# Class CacheConfig.AsyncEventQueue

java.lang.Object
org.apache.geode.cache.configuration.CacheElement
org.apache.geode.cache.configuration.CacheConfig.AsyncEventQueue

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`

Enclosing class:
  CacheConfig

public static class CacheConfig.AsyncEventQueue extends CacheElement

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
             <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
             <element name="async-event-listener" type="{http://geode.apache.org/schema/cache}class-with-parameters-type"/>
           </sequence>
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="persistent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="forward-expiration-destroy" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DeclarableType`
  `asyncEventListener`
  `protected String`
  `batchSize`
  `protected String`
  `batchTimeInterval`
  `protected String`
  `diskStoreName`
  `protected Boolean`
  `diskSynchronous`
  `protected String`
  `dispatcherThreads`
  `protected Boolean`
  `enableBatchConflation`
  `protected Boolean`
  `forwardExpirationDestroy`
  `protected List<DeclarableType>`
  `gatewayEventFilters`
  `protected DeclarableType`
  `gatewayEventSubstitutionFilter`
  `protected String`
  `id`
  `protected String`
  `maximumQueueMemory`
  `protected String`
  `orderPolicy`
  `protected Boolean`
  `parallel`
  `protected Boolean`
  `pauseEventProcessing`
  `protected Boolean`
  `persistent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncEventQueue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeclarableType`
  `getAsyncEventListener()`
  Gets the value of the asyncEventListener property.
  `String`
  `getBatchSize()`
  Gets the value of the batchSize property.
  `String`
  `getBatchTimeInterval()`
  Gets the value of the batchTimeInterval property.
  `String`
  `getDiskStoreName()`
  Gets the value of the diskStoreName property.
  `String`
  `getDispatcherThreads()`
  Gets the value of the dispatcherThreads property.
  `List<DeclarableType>`
  `getGatewayEventFilters()`
  Gets the value of the gatewayEventFilters property.
  `DeclarableType`
  `getGatewayEventSubstitutionFilter()`
  Gets the value of the gatewayEventSubstitutionFilter property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getMaximumQueueMemory()`
  Gets the value of the maximumQueueMemory property.
  `String`
  `getOrderPolicy()`
  Gets the value of the orderPolicy property.
  `Boolean`
  `isDiskSynchronous()`
  Gets the value of the diskSynchronous property.
  `Boolean`
  `isEnableBatchConflation()`
  Gets the value of the enableBatchConflation property.
  `boolean`
  `isForwardExpirationDestroy()`
  Gets the value of the forwardExpirationDestroy property.
  `Boolean`
  `isParallel()`
  Gets the value of the parallel property.
  `Boolean`
  `isPauseEventProcessing()`
  Gets the value of whether the queue was created with paused processing of the events queued
  `Boolean`
  `isPersistent()`
  Gets the value of the persistent property.
  `void`
  `setAsyncEventListener(DeclarableType value)`
  Sets the value of the asyncEventListener property.
  `void`
  `setBatchSize(String value)`
  Sets the value of the batchSize property.
  `void`
  `setBatchTimeInterval(String value)`
  Sets the value of the batchTimeInterval property.
  `void`
  `setDiskStoreName(String value)`
  Sets the value of the diskStoreName property.
  `void`
  `setDiskSynchronous(Boolean value)`
  Sets the value of the diskSynchronous property.
  `void`
  `setDispatcherThreads(String value)`
  Sets the value of the dispatcherThreads property.
  `void`
  `setEnableBatchConflation(Boolean value)`
  Sets the value of the enableBatchConflation property.
  `void`
  `setForwardExpirationDestroy(Boolean value)`
  Sets the value of the forwardExpirationDestroy property.
  `void`
  `setGatewayEventSubstitutionFilter(DeclarableType value)`
  Sets the value of the gatewayEventSubstitutionFilter property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setMaximumQueueMemory(String value)`
  Sets the value of the maximumQueueMemory property.
  `void`
  `setOrderPolicy(String value)`
  Sets the value of the orderPolicy property.
  `void`
  `setParallel(Boolean value)`
  Sets the value of the parallel property.
  `void`
  `setPauseEventProcessing(Boolean pauseEventProcessing)`
  Sets the value of whether the queue will be created with paused processing of the events queued
  `void`
  `setPersistent(Boolean value)`
  Sets the value of the persistent property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gatewayEventFilters

    protected List<DeclarableType> gatewayEventFilters

  - ### gatewayEventSubstitutionFilter

    protected DeclarableType gatewayEventSubstitutionFilter

  - ### asyncEventListener

    protected DeclarableType asyncEventListener

  - ### id

    protected String id

  - ### parallel

    protected Boolean parallel

  - ### batchSize

    protected String batchSize

  - ### batchTimeInterval

    protected String batchTimeInterval

  - ### enableBatchConflation

    protected Boolean enableBatchConflation

  - ### maximumQueueMemory

    protected String maximumQueueMemory

  - ### persistent

    protected Boolean persistent

  - ### diskStoreName

    protected String diskStoreName

  - ### diskSynchronous

    protected Boolean diskSynchronous

  - ### dispatcherThreads

    protected String dispatcherThreads

  - ### orderPolicy

    protected String orderPolicy

  - ### forwardExpirationDestroy

    protected Boolean forwardExpirationDestroy

  - ### pauseEventProcessing

    protected Boolean pauseEventProcessing

- ## Constructor Details

  - ### AsyncEventQueue

    public AsyncEventQueue()

- ## Method Details

  - ### isPauseEventProcessing

    public Boolean isPauseEventProcessing()
    Gets the value of whether the queue was created with paused processing of the events queued
    Returns:
      `Boolean` - true if queue will be created with paused processing of the events queued - false if queue will be created without pausing the processing of the events queued

  - ### setPauseEventProcessing

    public void setPauseEventProcessing(Boolean pauseEventProcessing)
    Sets the value of whether the queue will be created with paused processing of the events queued
    Parameters:
      `pauseEventProcessing` - `Boolean` - true if queue will be created with paused processing of the events queued - false if queue will be created without pausing the processing of the events queued

  - ### getGatewayEventFilters

    public List<DeclarableType> getGatewayEventFilters()
    Gets the value of the gatewayEventFilters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayEventFilters property.

    For example, to add a new item, do as follows:

         getGatewayEventFilters().add(newItem);

    Objects of the following type(s) are allowed in the list `DeclarableType`

    Returns:
      the value of the gatewayEventFilters property

  - ### getGatewayEventSubstitutionFilter

    public DeclarableType getGatewayEventSubstitutionFilter()
    Gets the value of the gatewayEventSubstitutionFilter property. possible object is `DeclarableType`
    Returns:
      the value of the gatewayEventSubstitutionFilter property

  - ### setGatewayEventSubstitutionFilter

    public void setGatewayEventSubstitutionFilter(DeclarableType value)
    Sets the value of the gatewayEventSubstitutionFilter property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the gatewayEventSubstitutionFilter property

  - ### getAsyncEventListener

    public DeclarableType getAsyncEventListener()
    Gets the value of the asyncEventListener property. possible object is `DeclarableType`
    Returns:
      the value of the asyncEventListener property

  - ### setAsyncEventListener

    public void setAsyncEventListener(DeclarableType value)
    Sets the value of the asyncEventListener property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the asyncEventListener property

  - ### getId

    public String getId()
    Gets the value of the id property. possible object is `String`
    Returns:
      the value of the id property

  - ### setId

    public void setId(String value)
    Sets the value of the id property. allowed object is `String`
    Parameters:
      `value` - the value of the id property

  - ### isParallel

    public Boolean isParallel()
    Gets the value of the parallel property. possible object is `Boolean`
    Returns:
      the value of the parallel property

  - ### setParallel

    public void setParallel(Boolean value)
    Sets the value of the parallel property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the parallel property

  - ### getBatchSize

    public String getBatchSize()
    Gets the value of the batchSize property. possible object is `String`
    Returns:
      the value of the batchSize property

  - ### setBatchSize

    public void setBatchSize(String value)
    Sets the value of the batchSize property. allowed object is `String`
    Parameters:
      `value` - the value of the batchSize property

  - ### getBatchTimeInterval

    public String getBatchTimeInterval()
    Gets the value of the batchTimeInterval property. possible object is `String`
    Returns:
      the value of the batchTimeInterval property

  - ### setBatchTimeInterval

    public void setBatchTimeInterval(String value)
    Sets the value of the batchTimeInterval property. allowed object is `String`
    Parameters:
      `value` - the value of the batchTimeInterval property

  - ### isEnableBatchConflation

    public Boolean isEnableBatchConflation()
    Gets the value of the enableBatchConflation property. possible object is `Boolean`
    Returns:
      the value of the enableBatchConflation property

  - ### setEnableBatchConflation

    public void setEnableBatchConflation(Boolean value)
    Sets the value of the enableBatchConflation property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the enableBatchConflation property

  - ### getMaximumQueueMemory

    public String getMaximumQueueMemory()
    Gets the value of the maximumQueueMemory property. possible object is `String`
    Returns:
      the value of the maximumQueueMemory property

  - ### setMaximumQueueMemory

    public void setMaximumQueueMemory(String value)
    Sets the value of the maximumQueueMemory property. allowed object is `String`
    Parameters:
      `value` - the value of the maximumQueueMemory property

  - ### isPersistent

    public Boolean isPersistent()
    Gets the value of the persistent property. possible object is `Boolean`
    Returns:
      the value of the persistent property

  - ### setPersistent

    public void setPersistent(Boolean value)
    Sets the value of the persistent property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the persistent property

  - ### getDiskStoreName

    public String getDiskStoreName()
    Gets the value of the diskStoreName property. possible object is `String`
    Returns:
      the value of the diskStoreName property

  - ### setDiskStoreName

    public void setDiskStoreName(String value)
    Sets the value of the diskStoreName property. allowed object is `String`
    Parameters:
      `value` - the value of the diskStoreName property

  - ### isDiskSynchronous

    public Boolean isDiskSynchronous()
    Gets the value of the diskSynchronous property. possible object is `Boolean`
    Returns:
      the value of the diskSynchronous property

  - ### setDiskSynchronous

    public void setDiskSynchronous(Boolean value)
    Sets the value of the diskSynchronous property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the diskSynchronous property

  - ### getDispatcherThreads

    public String getDispatcherThreads()
    Gets the value of the dispatcherThreads property. possible object is `String`
    Returns:
      the value of the dispatcherThreads property

  - ### setDispatcherThreads

    public void setDispatcherThreads(String value)
    Sets the value of the dispatcherThreads property. allowed object is `String`
    Parameters:
      `value` - the value of the dispatcherThreads property

  - ### getOrderPolicy

    public String getOrderPolicy()
    Gets the value of the orderPolicy property. possible object is `String`
    Returns:
      the value of the orderPolicy property

  - ### setOrderPolicy

    public void setOrderPolicy(String value)
    Sets the value of the orderPolicy property. allowed object is `String`
    Parameters:
      `value` - the value of the orderPolicy property

  - ### isForwardExpirationDestroy

    public boolean isForwardExpirationDestroy()
    Gets the value of the forwardExpirationDestroy property. possible object is `Boolean`
    Returns:
      the value of the forwardExpirationDestroy property

  - ### setForwardExpirationDestroy

    public void setForwardExpirationDestroy(Boolean value)
    Sets the value of the forwardExpirationDestroy property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the forwardExpirationDestroy property